import React from 'react';
import { BreakPointKeys } from '../../theme/';
import { Record } from '../types';
declare type FlexProps = 'start' | 'center' | 'end' | 'top' | 'middle' | 'bottom' | 'around' | 'between';
interface RowProps extends Record<FlexProps, BreakPointKeys> {
    reverse?: boolean;
}
declare const Row: React.FC<RowProps>;
export default Row;
