import React from 'react';
import { defaultIcons } from './defaultIcons';
import { Status, IconField } from '../types';
import { EvaIconOptions, Icons } from '../EvaTypes';
export interface IconProps {
    name: keyof Icons;
    status?: Status;
    className?: string;
    options?: EvaIconOptions;
}
export declare const Icon: React.FC<Omit<IconProps, 'name'> & {
    name: keyof typeof defaultIcons;
}>;
export declare const EvaIcon: React.FC<IconProps>;
interface ItemIconProps {
    icon?: IconField;
    className?: string;
}
export declare const ItemIcon: React.FC<ItemIconProps>;
export {};
