import React from 'react';
import { Icons } from '../EvaTypes';
interface ContextProps {
    addClass: (className: string[]) => void;
    removeClass: (className: string[]) => void;
    addEventListener: (event: string, listener: EventListener, target?: 'scrollArea' | 'Layout') => void;
    removeEventListener: (event: string, listener: EventListener, target?: 'scrollArea' | 'Layout') => void;
    dir?: 'ltr' | 'rtl';
    evaIcons?: Icons;
    children?: React.ReactNode;
}
declare const LayoutContext: React.Context<ContextProps>;
export default LayoutContext;
