import React from 'react';
import { DefaultTheme } from 'styled-components';
import { Trigger, Placement } from '../types';
export interface PopoverProps {
    eventListener?: string;
    trigger: Trigger;
    placement: Placement;
    overlay: any;
    children: React.ReactNode;
    style?: React.CSSProperties;
    className?: string;
    theme: DefaultTheme;
}
declare const _default: React.ForwardRefExoticComponent<Pick<React.PropsWithChildren<PopoverProps>, "style" | "eventListener" | "trigger" | "placement" | "overlay" | "children" | "className"> & {
    theme?: DefaultTheme | undefined;
}>;
export default _default;
