import React from 'react';
import { Badge as BadgeType, IconField } from '../types';
declare const Tab: React.FC<TabProps>;
interface TabProps {
    title?: string;
    icon?: IconField;
    responsive?: boolean;
    disabled?: boolean;
    className?: string;
    style?: React.CSSProperties;
    badge?: BadgeType;
    children?: React.ReactNode;
}
declare const Tabs: React.FC<TabsProps>;
interface TabsProps {
    className?: string;
    style?: React.CSSProperties;
    fullWidth?: boolean;
    onSelect?: (index: number) => void;
    activeIndex?: number;
    children: React.ReactElement<TabProps>[];
}
export { Tabs, Tab };
