import React from 'react';
import { Status } from '../../types';
export declare const Radio: React.FC<RadioProps>;
export interface Option {
    value: number | string;
    label: string;
    checked?: boolean;
    disabled?: boolean;
    status?: Status;
}
interface RadioProps {
    name: string;
    onChange: (value: number | string) => void;
    options: Option[];
    className?: string;
    disabled?: boolean;
}
export {};
