import React from 'react';
import { ButtonTypes } from '../../types';
export declare const Select: React.FC<SelectProps>;
export declare type SelectPlacement = 'top' | 'bottom';
export interface SelectOption {
    value: any;
    label: any;
    selected?: boolean;
    disabled?: boolean;
}
export interface SelectProps extends ButtonTypes {
    options: SelectOption[];
    eventListener?: string;
    customLabel?: string;
    multiple?: boolean;
    onChange?: (value: any) => void;
    value?: any;
    placeholder?: any;
    style?: React.CSSProperties;
    className?: string;
}
