import React from 'react';
import { MenuItemType } from '../types';
interface MenuProps {
    items: MenuItemType[];
    toggleSidebar?: () => void;
    Link: any;
    nextJs?: boolean;
    className?: string;
    style?: React.CSSProperties;
    ref?: React.RefObject<MenuRefObject>;
}
export interface MenuRefObject {
    toggle: () => void;
}
declare let Menu: React.RefForwardingComponent<MenuRefObject, MenuProps>;
export { Menu };
