import React from 'react';
import { Trigger, Placement, Status, IconField } from '../types';
declare const Tooltip: React.FC<TooltipProps>;
interface TooltipProps {
    eventListener?: string;
    trigger: Trigger;
    placement: Placement;
    status?: Status;
    icon?: IconField;
    content?: string;
    children: React.ReactNode;
    style?: React.CSSProperties;
    className?: string;
}
export default Tooltip;
