import { DefaultTheme } from 'styled-components';
import { ThemeObject, ThemeKeys, ThemeKey } from './themeTypes';
export * from './breakpoints';
export { ThemeObject, ThemeKeys, ThemeKey };
declare const themeValues: {
    default: Partial<ThemeObject>;
    cosmic: Partial<ThemeObject>;
    corporate: Partial<ThemeObject>;
    dark: Partial<ThemeObject>;
};
export declare function createTheme(name: keyof typeof themeValues, settings?: Partial<DefaultTheme>): DefaultTheme;
